# $Revision: 1.10.2.1 $, $Date: 2007/01/30 23:52:53 $
Summary:	A unique multiplayer wargame
Summary(fr):	Un "wargame" multijoueur indit
Summary(de):	Ein einzigartiges Kriegspiel fr mehrere Spieler
Summary(pl):	Unikalna gra wojenna dla wielu graczy
Name:		liquidwar
Version:	5.6.2
Release:	2
License:	GPL
Group:		X11/Applications/Games
Source0:	http://liquidwar.sunsite.dk/archive/%{name}-%{version}.tar.gz
# Source0-md5:	981c5f00ddf2364c7b9d31fea82852be
Patch0:		%{name}-man_fix.patch
URL:		http://www.ufoot.org/liquidwar/
BuildRequires:	allegro-devel
BuildRequires:	allegro-tools
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	python-modules
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Liquid War is a unique multiplayer wargame. Its rules are truely
original and have been invented by Thomas Colcombet. You control an
army of liquid and have to try and eat your opponents. A single player
mode is available, but the game is definitely designed to be
multiplayer, and has network support.

%description -l de
Liquid War ist ein einzigartiges Kriegsspiel fr mehrere Spieler. Die
Regeln sind wahrhaft neuartig und wurden von Thomas Colcombet
entwickelt. Man steuert eine flssige Armee und muss versuchen die
Gegner aufzufressen. Es gibt einen Einzelspielermodus, aber das Spiel
ist eindeutig auf mehrere Spieler ausgelegt und untersttzt das
Spielen ber Netzwerk.

%description -l dk
Liquid war er et unikt multiplayer krigsspil. Reglerne er uhyre
originale og er opfundet af Thomas Colcombet. Du styrer en hr af
vske og skal prve at de dine modstandere. Liquid War kan spilles
alene, men er helt afgjort designet til multiplayer, og har
netvrks-support.

%description -l fr
Liquid War est un "wargame" multijoueur indit. Ses rgles sont
vraiment originales et ont t inventes par Thomas Colcombet. L'ide
est de contrler une arme de liquide et d'essayer de "manger" ses
adversaires. Il est possible de jouer seul, mais le jeux est conu
pour se jouer  plusieurs, un mode rseau tant disponible.

%description -l pl
Liquid War jest unikaln gr dla wielu graczy. Jej zasady, wymylone
przez Thomasa Colcombeta s naprawd nowatorskie. Kontrolujesz armi
pynu i musisz sprbowa stawi czoa i wchon swoich przeciwnikw.
Mona wprawdzie gra w pojedynk, ale gra jest zaprojektowana dla
wielu graczy, te grajcych przez sie.

%prep
%setup -q
%patch0 -p1

%build
cp -f %{_datadir}/automake/config.sub .
%{__autoconf}
%configure \
%ifnarch %{ix86}
	--disable-target-opt \
	--disable-asm
%endif

%{__make}

cd doc/man
echo '.so liquidwar.6' > liquidwar-server.6
echo '.so liquidwar.6' > liquidwar-mapgen.6
cd ../..

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc doc/html/*.html doc/txt/*.txt
%attr(755,root,root) %{_prefix}/games/liquidwar*
%attr(755,root,root) %{_bindir}/liquidwar
%attr(755,root,root) %{_bindir}/liquidwar-server
%{_datadir}/games/liquidwar
%{_mandir}/man*/*
%{_infodir}/liquidwar.info*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: liquidwar.spec,v $
Revision 1.10.2.1  2007/01/30 23:52:53  ankry
- rel. 2

Revision 1.10  2004/06/06 02:08:33  undefine
- disable assembly on != ix86 archs

Revision 1.9  2004/06/06 01:17:25  undefine
- copy config.sub to allow build on amd63

Revision 1.8  2004/06/06 01:06:09  undefine
- adapterizing

Revision 1.7  2004/04/05 19:04:30  adamg
- fixed group

Revision 1.6  2004/02/23 22:11:28  adamg
- fixed attrs for binaries (shouldn't they go to %%{_bindir} ?)

Revision 1.5  2004/02/23 22:07:01  adamg
- updated to 5.6.2
- removed destdir patch (already applied)
- added mandir patch
- small workaround for liquidwar-server and liquidwar-mapgen manpages

Revision 1.4  2003/12/21 09:50:55  qboosh
- use more macros, cosmetics and unifications, BR: autoconf

Revision 1.3  2003/12/20 22:11:11  zagrodzki
- added buildreq: texinfo

Revision 1.2  2003/12/20 21:53:31  zagrodzki
- Buildreq: python-modules (for creating docs)

Revision 1.1  2003/12/20 20:06:43  zagrodzki
- initial release
